org.apache.solr.search.facet

## Class FacetRange

- java.lang.Object
- - org.apache.solr.search.facet.FacetRequest
  - - org.apache.solr.search.facet.FacetRange

-     public class FacetRange
      extends FacetRequest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.search.facet.FacetRequest

      `FacetRequest.Domain, FacetRequest.RefineMethod, FacetRequest.SortDirection`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.search.facet.FacetRequest

      `domain, facetStats, filters, processEmpty, subFacets`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FacetRange()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FacetMerger` | `createFacetMerger(Object prototype)`
    `FacetProcessor` | `createFacetProcessor(org.apache.solr.search.facet.FacetContext fcontext)`
    `Map<String,Object>` | `getFacetDescription()`
    `FacetRequest.RefineMethod` | `getRefineMethod()` Returns null if unset
    `boolean` | `returnsPartial()` Returns true if this facet can return just some of the facet buckets that match all the criteria.

    - ### Methods inherited from class org.apache.solr.search.facet.FacetRequest

      `addStat, addSubFacet, doRefine, getFacetStats, getSubFacets, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FacetRange

          public FacetRange()

  - ### Method Detail

    - #### createFacetProcessor

          public FacetProcessor createFacetProcessor(org.apache.solr.search.facet.FacetContext fcontext)

      Specified by:
        `createFacetProcessor` in class `FacetRequest`

    - #### createFacetMerger

          public FacetMerger createFacetMerger(Object prototype)

      Specified by:
        `createFacetMerger` in class `FacetRequest`

    - #### getFacetDescription

          public Map<String,Object> getFacetDescription()

      Specified by:
        `getFacetDescription` in class `FacetRequest`

    - #### getRefineMethod

          public FacetRequest.RefineMethod getRefineMethod()

      Description copied from class: `FacetRequest`
      Returns null if unset
      Overrides:
        `getRefineMethod` in class `FacetRequest`

    - #### returnsPartial

          public boolean returnsPartial()

      Description copied from class: `FacetRequest`
      Returns true if this facet can return just some of the facet buckets that match all the criteria. This is normally true only for facets with a limit.
      Overrides:
        `returnsPartial` in class `FacetRequest`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.